Index: frontend/src/Pages/HotelDetailsPage.js
===================================================================
--- frontend/src/Pages/HotelDetailsPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/HotelDetailsPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,9 +1,5 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
-<<<<<<< HEAD
 import {Container, Row, Col, Form, FloatingLabel, Modal, Button} from "react-bootstrap";
-=======
-import { Container, Row, Col, Form } from "react-bootstrap";
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
@@ -73,6 +69,7 @@
                   placeholder="Каде ќе патувате?:"
                   id="location"
+                  value={data.hotelLocation}
                 ></Form.Control>
-                <label htmlFor="location">Локација:</label>
+                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
               </Form.Floating>
             </Row>
@@ -84,6 +81,7 @@
                   placeholder="Датум на пристигнување:"
                   id="dateFrom"
+                  value={from}
                 ></Form.Control>
-                <label htmlFor="dateFrom">Датум на пристигнување:</label>
+                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на пристигнување:</label>
               </Form.Floating>
             </Row>
@@ -95,6 +93,7 @@
                   placeholder="Датум на заминување:"
                   id="dateTo"
+                  value={to}
                 ></Form.Control>
-                <label htmlFor="dateTo">Датум на заминување:</label>
+                <label style={{left: "10px"}} htmlFor="dateTo">Датум на заминување:</label>
               </Form.Floating>
             </Row>
@@ -107,5 +106,5 @@
                   id="floatingPassengers"
                 ></Form.Control>
-                <label htmlFor="floatingPassengers">Број на гости:</label>
+                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
               </Form.Floating>
             </Row>
@@ -117,6 +116,4 @@
                   {data.images.map((image) => {
                     let link = image.url;
-                    console.log("SLIKATAAA")
-                    console.log(image)
                     if (image.url.includes('Desktop')) {
                       link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
Index: frontend/src/Pages/HotelEditPage.js
===================================================================
--- frontend/src/Pages/HotelEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/HotelEditPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,59 +1,60 @@
-import React, { useState } from "react";
-import { Container, Col, Row, Image } from "react-bootstrap";
+import React, {useState} from "react";
+import {Container, Col, Row, Image} from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
 import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
 import useGet from "../Components/Hooks/useGet";
-import { useParams } from "react-router-dom";
+import {Navigate, useParams} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
 
 
 const HotelEditPage = () => {
 
-  const params = useParams();
-  const link = "/hotel/list/" + params.hotelId;
-  const [changed, setChanged] = useState(0)
-  const { data, setData, isLoading, getData } = useGet(link, changed);
+    const params = useParams();
+    const link = `/hotel/${params.hotelId}/list`;
+    const [changed, setChanged] = useState(0)
+    const {data, setData, isLoading, getData} = useGet(link, changed);
 
 
-  console.log(data)
-  return (
-    <>
-      <Navigation />
-      {!isLoading && <Container>
-        <Row className="mb-5">
-          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
-        </Row>
-        <Row className="mb-5">
-          <Col>
-            <Row className="d-flex mb-3">
-              <Col
-                className="d-flex justify-content-center"
-                style={{ maxWidth: "30%" }}
-              >
-                <Image
-                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                  style={{
-                    height: "5em",
-                    borderRadius: "50%",
-                    maxWidth: "100%",
-                  }}
-                  className="m-auto"
-                ></Image>
-              </Col>
-              <Col className="d-flex justify-content-center">
-                <Container className="pt-2" style={{ textAlign: "left" }}>
-                  <h4>{data.hotelName}</h4>
-                  <h5>{data.hotelLocation}</h5>
-                </Container>
-              </Col>
-            </Row>
-          </Col>
-        </Row>
-        <Row>
-            <HotelEditTab refresh={setChanged} displayRoom={data}/>
-        </Row>
-      </Container>}
-    </>
-  );
+    console.log(data)
+    return (
+        <>
+            <Navigation/>
+            {!isLoading && <Container>
+                <Row className="mb-5">
+                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
+                </Row>
+                <Row className="mb-5">
+                    <Col>
+                        <Row className="d-flex mb-3">
+                            <Col
+                                className="d-flex justify-content-center"
+                                style={{maxWidth: "30%"}}
+                            >
+                                <Image
+                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                    style={{
+                                        height: "5em",
+                                        borderRadius: "50%",
+                                        maxWidth: "100%",
+                                    }}
+                                    className="m-auto"
+                                ></Image>
+                            </Col>
+                            <Col className="d-flex justify-content-center">
+                                <Container className="pt-2" style={{textAlign: "left"}}>
+                                    <h4>{data.hotelName}</h4>
+                                    <h5>{data.hotelLocation}</h5>
+                                </Container>
+                            </Col>
+                        </Row>
+                    </Col>
+                </Row>
+                <Row>
+                    <HotelEditTab refresh={setChanged} displayRoom={data}/>
+                </Row>
+            </Container>}
+        </>
+    );
 };
 
Index: frontend/src/Pages/LoginErrorPage.js
===================================================================
--- frontend/src/Pages/LoginErrorPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/LoginErrorPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -11,5 +11,4 @@
     const [show, setShow] = useState(false);
     const [changed, setChanged] = useState(0);
-    const {data, isLoading} = useGet("/username")
     const userId = localStorage.getItem("userId")
     const [registered, setRegistered] = useState(false);
Index: frontend/src/Pages/LoginPage.js
===================================================================
--- frontend/src/Pages/LoginPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/LoginPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -3,4 +3,7 @@
 import { Container } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
+
 
 const LoginPage = () => {
@@ -8,4 +11,12 @@
   document.body.style.marginTop = "auto";
   document.body.style.marginBottom = "auto";
+
+  const Auth = useAuth();
+  const isLoggedIn = Auth.userIsAuthenticated();
+
+    if (isLoggedIn) {
+        return <Navigate to={'/home'}/>
+    }
+
   return (
     <>
Index: frontend/src/Pages/NoBusinessRegisteredError.js
===================================================================
--- frontend/src/Pages/NoBusinessRegisteredError.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/NoBusinessRegisteredError.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -6,10 +6,12 @@
 import RegisterBusinessForm from "../Components/Forms/RegisterBusinessForm";
 import useGet from "../Components/Hooks/useGet";
-import { useNavigate } from "react-router-dom";
+import {Navigate, useNavigate} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
 
 const NoBusinessRegisteredError = (props) => {
   const [show, setShow] = useState(false);
   const [changed, setChanged] = useState(0);
-  const {data, isLoading} = useGet("/username")
+  const Auth = useAuth();
+  const isLoggedIn = Auth.userIsAuthenticated();
   const userId = localStorage.getItem("userId")
   const [registered, setRegistered] = useState(false);
@@ -45,7 +47,9 @@
 
 
-  console.log(data)
+  if(!isLoggedIn)
+  {
+    return <Navigate to={'/login'}/>
+  }
 
-  !isLoading && !data && navigator("/login")
   !firmaIsLoading && firma && firma.length > 0 && firma[0].approved && navigator("/resources/hotel")
   
Index: frontend/src/Pages/ProfilePage.js
===================================================================
--- frontend/src/Pages/ProfilePage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/ProfilePage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -8,10 +8,13 @@
 import ChangePasswordForm from "../Components/Forms/ChangePasswordForm";
 import useGet from "../Components/Hooks/useGet";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
 
 const ProfilePage = () => {
 
-  const { data, setData, isLoading, getData } = useGet("/principal");
+    const { data, setData, isLoading, getData } = useGet("/principal");
 
-  
+
+
     const profileData = {
         "name": "Марко",
@@ -19,5 +22,5 @@
         "address": "ул. Раскрсница бр. 10",
         "dateOfBirth": "2002-01-01",
-        "country": "Никогаш Северна само МАКЕДОНИЈА",
+        "country": "Македонија",
         "zip": "1000",
         "city": "Скопје",
@@ -27,8 +30,9 @@
 
 
+
   return (
     <>
       <Navigation />
-{      !isLoading && <Container>
+    {!isLoading && <Container>
         <Row className="mb-5">
           <h2 style={{ color: "#159895", textAlign: "left" }}>Мојот профил</h2>
Index: frontend/src/Pages/ResourcesPage.js
===================================================================
--- frontend/src/Pages/ResourcesPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/ResourcesPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,54 +1,55 @@
 import React from "react";
-import { Container, Col, Row, Image } from "react-bootstrap";
+import {Container, Col, Row, Image} from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
-import { useState } from "react";
+import {useState} from "react";
 import useGet from "../Components/Hooks/useGet";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
 
 const ResourcesPage = (props) => {
 
-  console.log(props.tab)
-  const { data, setData, isLoading, getData } = useGet("/principal");
+    const Auth = useAuth();
+    const user = Auth.getUser();
 
-
-  return (
-    <>
-      <Navigation />
-{!isLoading && <Container>
-        <Row className="mb-5">
-          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
-        </Row>
-        <Row className="mb-5">
-          <Col>
-            <Row className="d-flex mb-3">
-              <Col
-                className="d-flex justify-content-center"
-                style={{ maxWidth: "30%" }}
-              >
-                <Image
-                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                  style={{
-                    height: "5em",
-                    borderRadius: "50%",
-                    maxWidth: "100%",
-                  }}
-                  className="m-auto"
-                ></Image>
-              </Col>
-              <Col className="d-flex justify-content-center">
-                <Container className="pt-2" style={{ textAlign: "left" }}>
-                  <h4>{data.name + " " + data.surname}</h4>
-                  <h5>{data.email}</h5>
-                </Container>
-              </Col>
-            </Row>
-          </Col>
-        </Row>
-        <Row>
-            <ResourcesTab tab={props.tab}></ResourcesTab>
-        </Row>
-      </Container>}
-    </>
-  );
+    return (
+        <>
+            <Navigation/>
+            {<Container>
+                <Row className="mb-5">
+                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
+                </Row>
+                <Row className="mb-5">
+                    <Col>
+                        <Row className="d-flex mb-3">
+                            <Col
+                                className="d-flex justify-content-center"
+                                style={{maxWidth: "30%"}}
+                            >
+                                <Image
+                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                    style={{
+                                        height: "5em",
+                                        borderRadius: "50%",
+                                        maxWidth: "100%",
+                                    }}
+                                    className="m-auto"
+                                ></Image>
+                            </Col>
+                            <Col className="d-flex justify-content-center">
+                                <Container className="pt-2" style={{textAlign: "left"}}>
+                                    <h4>{user.name + " " + user.surname}</h4>
+                                    <h5>{user.username}</h5>
+                                </Container>
+                            </Col>
+                        </Row>
+                    </Col>
+                </Row>
+                <Row>
+                    <ResourcesTab tab={props.tab}></ResourcesTab>
+                </Row>
+            </Container>}
+        </>
+    );
 };
 
Index: frontend/src/Pages/RestaurantDetailsPage.js
===================================================================
--- frontend/src/Pages/RestaurantDetailsPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/RestaurantDetailsPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -133,5 +133,21 @@
                             <Row>
                                 <Carousel activeIndex={index} onSelect={handleSelect}>
-                                    <Carousel.Item>
+                                    {data.images.map((image) => {
+                                        let link = image.url;
+                                        if (image.url.includes('Desktop')) {
+                                            link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
+                                        }
+                                        return (
+                                            <Carousel.Item>
+                                                <img
+                                                    className="d-block w-100 h-400 rounded-5"
+                                                    src={link}
+                                                    alt="First slide"
+                                                    style={{ height: "50vh" }}
+                                                />
+                                            </Carousel.Item>
+                                        )
+                                    })}
+                                    {data.images.length == 0 && <Carousel.Item>
                                         <img
                                             className="d-block w-100 h-400 rounded-5"
@@ -140,21 +156,5 @@
                                             style={{height: "50vh"}}
                                         />
-                                    </Carousel.Item>
-                                    <Carousel.Item>
-                                        <img
-                                            className="d-block w-100 rounded-5"
-                                            src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7871.jpg"
-                                            alt="Second slide"
-                                            style={{height: "50vh"}}
-                                        />
-                                    </Carousel.Item>
-                                    <Carousel.Item>
-                                        <img
-                                            className="d-block w-100 rounded-5"
-                                            src="https://lh5.googleusercontent.com/p/AF1QipMQAwahuuJCJ2rDUYNrhnwiX1070adTsM6LmzV5=w480-h300-k-n"
-                                            alt="Third slide"
-                                            style={{height: "50vh"}}
-                                        />
-                                    </Carousel.Item>
+                                    </Carousel.Item>}
                                 </Carousel>
                             </Row>
@@ -169,5 +169,5 @@
                     <Col className="col-md-4"><ReviewsCarousel reviews={data.reviews}></ReviewsCarousel></Col>
                 </Row>
-                <Row className="mb-3"><MenuCarousel menu={data.menus}></MenuCarousel></Row>
+                <Row className="mb-3"><MenuCarousel images={data.menuImages} menu={data.menus}></MenuCarousel></Row>
                 <Row><TablesTable params={formData} data={data.tables}></TablesTable></Row>
                 <Row><ContactBar></ContactBar></Row>
Index: frontend/src/Pages/RestaurantEditPage.js
===================================================================
--- frontend/src/Pages/RestaurantEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/RestaurantEditPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -6,5 +6,6 @@
 import RestaurantEditTab from "../Components/RestaurantEdit/RestaurantEditTab";
 import useGet from "../Components/Hooks/useGet";
-import { useParams, useSearchParams } from "react-router-dom";
+import {Navigate, useParams, useSearchParams} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
 
 const RestaurantEditPage = () => {
Index: frontend/src/Pages/SearchPage.js
===================================================================
--- frontend/src/Pages/SearchPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/SearchPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,8 +1,8 @@
-import React from "react";
+import React, {useState} from "react";
 import Navigation from '../Components/Layout/Navbar/Navigation';
 import 'bootstrap/dist/css/bootstrap.css';
 import 'bootstrap/dist/js/bootstrap.js';
 import HomeCarousel from '../Components/Layout/CarouselHome/Carousel';
-import { Card, Container, Nav, Row, Col } from 'react-bootstrap';
+import {Card, Container, Nav, Row, Col} from 'react-bootstrap';
 import TabComponent from '../Components/Tab/Tab';
 import Offers from '../Components/Layout/Offers/Offers';
@@ -11,16 +11,13 @@
 import BecomeAHost from "../Components/BecomeAHost/BecomeAHost"
 import HotelLisitng from "../Components/Listings/HotelListing"
-import SearchCriterias from "../Components/SearchCriterias/SearchCriteriasBar";
+import SearchCriteriasHotel from "../Components/SearchCriterias/SearchCriteriasHotel";
 import SortButton from "../Components/Listings/SortButton";
 import FilterButton from "../Components/Listings/FilterButton";
 import TransportListing from "../Components/Listings/TransportListing";
 import useGet from "../Components/Hooks/useGet";
-import { useParams } from "react-router-dom";
-<<<<<<< HEAD
+import {useParams} from "react-router-dom";
 import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
 import RestaurantDetailsPage from "./RestaurantDetailsPage";
 import RestaurantListing from "../Components/Listings/RestaurantListing";
-=======
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 
 
@@ -29,5 +26,5 @@
     const params = useParams();
     console.log(params)
-
+    const [sortingArg, setSortingArg] = useState("")
 
     document.body.style.backgroundColor = "white"
@@ -41,18 +38,73 @@
 
     }
-    
-<<<<<<< HEAD
-    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}&numPassengers=${params.numPassengers}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : `/restaurant/search?restaurantLocation=${params.restaurantLocation}&date=${params.date}&hourFrom=${params.hourFrom}&hourTo=${params.hourTo}&numPeople=${params.numPeople}`
-=======
-    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : ""
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
+
+    const getSortingFn = (type, arg) => {
+        if (type === 'hotel') {
+            if (arg === "priceAsc")
+            {
+                return (a, b) => {
+                    return a.totalPrice - b.totalPrice;
+                }
+            }
+            else if (arg === "priceDesc")
+            {
+                return (a, b) => {
+                    return -(a.totalPrice - b.totalPrice);
+                }
+            }
+            else if (arg === 'nameAsc')
+            {
+                return (a, b) => {
+                    return a.hotelName.localeCompare(b.hotelName);
+                }
+            }
+            else if(arg === 'nameDesc')
+            {
+                return (a, b) => {
+                    return -a.hotelName.localeCompare(b.hotelName);
+                }
+            }
+        }
+        else if (type === 'transport')
+        {
+            if (arg === "priceAsc")
+            {
+                return (a, b) => {
+                    return a.price - b.price;
+                }
+            }
+            else if (arg === "priceDesc")
+            {
+                return (a, b) => {
+                    return -(a.price - b.price);
+                }
+            }
+        }
+        else if (type === 'restaurant')
+        {
+            if (arg === 'nameAsc')
+            {
+                return (a, b) => {
+                    return a.restaurantName.localeCompare(b.restaurantName);
+                }
+            }
+            else if(arg === 'nameDesc')
+            {
+                return (a, b) => {
+                    return -a.restaurantName.localeCompare(b.restaurantName);
+                }
+            }
+        }
+    }
+
+    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}&numPassengers=${params.numPassengers}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}&flexible=${params.flexible}` : `/restaurant/search?restaurantLocation=${params.restaurantLocation}&date=${params.date}&hourFrom=${params.hourFrom}&hourTo=${params.hourTo}&numPeople=${params.numPeople}`
     console.log(link)
     console.log(params.date)
-    const { data, isLoading, getData, setData } = useGet(link);
+    const {data, isLoading, getData, setData} = useGet(link);
     !isLoading && console.log(data)
     return (
         <>
             <Navigation></Navigation>
-            <SearchCriterias criterias={useParams()}></SearchCriterias>
+            <SearchCriteriasBar type={props.type} criterias={useParams()}></SearchCriteriasBar>
             <Container className="d-flex justify-content-end gx-5" style={{maxWidth: "60%"}}>
                 <Row>
@@ -61,20 +113,20 @@
                     </Col>
                     <Col>
-                        <SortButton></SortButton>
+                        <SortButton setSortingArg={setSortingArg} type={props.type}></SortButton>
                     </Col>
                 </Row>
             </Container>
             {props.type === "hotel" && !isLoading && data && <Container fluid>
-                {data.map(hotel => {
+                {data.sort(getSortingFn(props.type, sortingArg)).map(hotel => {
                     return <HotelLisitng from={params.dateFrom} to={params.dateTo} data={hotel}/>
                 })}
-                </Container>}
+            </Container>}
             {props.type === "transport" && !isLoading && data && <Container fluid>
-                {data.map(transport => {
+                {data.sort(getSortingFn(props.type, sortingArg)).map(transport => {
                     return <TransportListing params={params} data={transport}/>
                 })}
             </Container>}
             {props.type === "restaurant" && !isLoading && data && <Container fluid>
-                {data.map(restaurant => {
+                {data.sort(getSortingFn(props.type, sortingArg)).map(restaurant => {
                     return <RestaurantListing params={params} data={restaurant}/>
                 })}
Index: frontend/src/Pages/TransportEditPage.js
===================================================================
--- frontend/src/Pages/TransportEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Pages/TransportEditPage.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,4 +1,4 @@
-import React, { useState } from "react";
-import { Container, Col, Row, Image } from "react-bootstrap";
+import React, {useState} from "react";
+import {Container, Col, Row, Image} from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
@@ -7,56 +7,58 @@
 import TransportEditTab from "../Components/TransportEdit/TransportEditTab";
 import useGet from "../Components/Hooks/useGet";
-import { useParams } from "react-router-dom";
+import {Navigate, useParams} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
 
 const TransportEditPage = () => {
-  const params = useParams();
-  console.log("transportot ima id " + params.transportId);
-  const link = "/transport/" + params.transportId;
-  const [changed, setChanged] = useState(0);
-  const { data, setData, isLoading, getData } = useGet(link, changed);
 
-  !isLoading && console.log(data)
+    const params = useParams();
 
-  return (
-    <>
-      <Navigation />
-      {!isLoading && (
-        <Container>
-          <Row className="mb-5">
-            <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
-          </Row>
-          <Row className="mb-5">
-            <Col>
-              <Row className="d-flex mb-3">
-                <Col
-                  className="d-flex justify-content-center"
-                  style={{ maxWidth: "30%" }}
-                >
-                  <Image
-                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                    style={{
-                      height: "5em",
-                      borderRadius: "50%",
-                      maxWidth: "100%",
-                    }}
-                    className="m-auto"
-                  ></Image>
-                </Col>
-                <Col className="d-flex justify-content-center">
-                  <Container className="pt-2" style={{ textAlign: "left" }}>
-                    <h4>{data.transportName}</h4>
-                    <h5>{data.carBrand + " " + data.carType}</h5>
-                  </Container>
-                </Col>
-              </Row>
-            </Col>
-          </Row>
-          <Row>
-            {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
-          </Row>
-        </Container>
-      )}
-    </>
-  );
+    const link = "/transport/" + params.transportId;
+
+    const {data, setData, isLoading, getData, setChanged} = useGet(link);
+
+    !isLoading && console.log(data)
+
+    return (
+        <>
+            <Navigation/>
+            {!isLoading && (
+                <Container>
+                    <Row className="mb-5">
+                        <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
+                    </Row>
+                    <Row className="mb-5">
+                        <Col>
+                            <Row className="d-flex mb-3">
+                                <Col
+                                    className="d-flex justify-content-center"
+                                    style={{maxWidth: "30%"}}
+                                >
+                                    <Image
+                                        src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                        style={{
+                                            height: "5em",
+                                            borderRadius: "50%",
+                                            maxWidth: "100%",
+                                        }}
+                                        className="m-auto"
+                                    ></Image>
+                                </Col>
+                                <Col className="d-flex justify-content-center">
+                                    <Container className="pt-2" style={{textAlign: "left"}}>
+                                        <h4>{data.transportName}</h4>
+                                        <h5>{data.carBrand + " " + data.carType}</h5>
+                                    </Container>
+                                </Col>
+                            </Row>
+                        </Col>
+                    </Row>
+                    <Row>
+                        {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
+                    </Row>
+                </Container>
+            )}
+        </>
+    );
 };
 
